-- Adds movement promotion for every great general (including unique units)
INSERT INTO UnitPromotions_CivilianUnitType(PromotionType, UnitType)
	SELECT 'PROMOTION_FAST_GENERAL', Type
	FROM Units
	WHERE Class = 'UNITCLASS_GREAT_GENERAL';

-----------------------
-- DATABASE TRIGGERS --
-----------------------
-- Adds entries for a inserted unique unit great general
CREATE TRIGGER Leadership_FastGeneralPromotion_Insert
AFTER INSERT ON Units
WHEN NEW.Class = 'UNITCLASS_GREAT_GENERAL'
BEGIN
	INSERT INTO UnitPromotions_CivilianUnitType(PromotionType, UnitType)
	VALUES('PROMOTION_FAST_GENERAL', NEW.Type);
END;

--INSERT INTO Units(Type, Class)
--VALUES('UNIT_UNIQUE_GENERAL', 'UNITCLASS_GREAT_GENERAL');