-- No resistance from City-States
-- Author: Machiavelli
-- DateCreated: 2/24/2014 4:21:23 PM
--------------------------------------------------------------
function NoResistanceCityStates(hexPos, playerID, cityID, newPlayerID)
	local oldPlayer = Players[playerID];
	local newPlayer = Players[newPlayerID];
	local policyID = GameInfoTypes["POLICY_PATRONAGE"];
	local plot = Map.GetPlot(ToGridFromHex(hexPos.x, hexPos.y));
	local city = plot:GetPlotCity();
	
	-- Only continue if player has policy and the city was controlled by a city-state
	if(newPlayer:HasPolicy(policyID) and not newPlayer:IsPolicyBlocked(policyID) and oldPlayer:IsMinorCiv()) then
		-- Remove any resistance
		city:ChangeResistanceTurns(-city:GetResistanceTurns());
	end
end
Events.SerialEventCityCaptured.Add(NoResistanceCityStates);