-- Protector of Civilization.lua
-- Author: Machiavelli
-- DateCreated: 5/30/2012 4:34:27 PM
--------------------------------------------------------------
function GivePromotionIfGoldenAge(playerID, unitID, hexVec, unitType, cultureType, civID, primaryColor, secondaryColor, unitFlagIndex, fogState, selected, military, notInvisible)
	local player = Players[playerID];
	local unit = player:GetUnitByID(unitID);
	local policyID = GameInfoTypes["POLICY_ETHICS"];
	local promotionID = GameInfoTypes["PROMOTION_PROTECTOR_OF_CIVILIZATION"];

	-- Only give the promotion if the player has the policy and is in a golden age and the unit is a military unit
	if(player:HasPolicy(policyID) and not player:IsPolicyBlocked(policyID) and player:IsGoldenAge() and unit:IsCombatUnit()) then
		unit:SetHasPromotion(promotionID, true);
	end
end
LuaEvents.SerialEventUnitCreatedGood.Add(GivePromotionIfGoldenAge);