-- Adds healing promotion for every great general (including unique units)
INSERT INTO UnitPromotions_CivilianUnitType(PromotionType, UnitType)
	SELECT 'PROMOTION_GREAT_GENERAL_HEAL', Type
	FROM Units
	WHERE Class = 'UNITCLASS_GREAT_GENERAL';

-----------------------
-- DATABASE TRIGGERS --
-----------------------
-- Adds entries for a inserted unique unit great general
CREATE TRIGGER MilitaryTradition_GeneralHealPromotion_Insert
AFTER INSERT ON Units
WHEN NEW.Class = 'UNITCLASS_GREAT_GENERAL'
BEGIN
	INSERT INTO UnitPromotions_CivilianUnitType(PromotionType, UnitType)
	VALUES('PROMOTION_GREAT_GENERAL_HEAL', NEW.Type);
END;